forrest-svn mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From gmcdon...@apache.org
Subject svn commit: r922683 - in /forrest/trunk/site-author: content/xdocs/docs_0_90/build.xml content/xdocs/docs_0_90/faq.xml status.xml
Date Sat, 13 Mar 2010 22:50:53 GMT
Author: gmcdonald
Date: Sat Mar 13 22:50:53 2010
New Revision: 922683

URL: http://svn.apache.org/viewvc?rev=922683&view=rev
Log:
Update 0.90 docs to say java 1.5

Modified:
    forrest/trunk/site-author/content/xdocs/docs_0_90/build.xml
    forrest/trunk/site-author/content/xdocs/docs_0_90/faq.xml
    forrest/trunk/site-author/status.xml

Modified: forrest/trunk/site-author/content/xdocs/docs_0_90/build.xml
URL: http://svn.apache.org/viewvc/forrest/trunk/site-author/content/xdocs/docs_0_90/build.xml?rev=922683&r1=922682&r2=922683&view=diff
==============================================================================
--- forrest/trunk/site-author/content/xdocs/docs_0_90/build.xml (original)
+++ forrest/trunk/site-author/content/xdocs/docs_0_90/build.xml Sat Mar 13 22:50:53 2010
@@ -81,7 +81,7 @@
       <p>
         To build Forrest, change directory to '<code>forrest/main</code>', and
         then type '<code>build</code>' on Windows or '<code>./build.sh</code>'
-        on Unix. (Requires Java 1.4) If everything is successful, you should see
+        on Unix. (Requires Java 1.5) If everything is successful, you should see
         a message similar to:
       </p>
       <source>

Modified: forrest/trunk/site-author/content/xdocs/docs_0_90/faq.xml
URL: http://svn.apache.org/viewvc/forrest/trunk/site-author/content/xdocs/docs_0_90/faq.xml?rev=922683&r1=922682&r2=922683&view=diff
==============================================================================
--- forrest/trunk/site-author/content/xdocs/docs_0_90/faq.xml (original)
+++ forrest/trunk/site-author/content/xdocs/docs_0_90/faq.xml Sat Mar 13 22:50:53 2010
@@ -68,7 +68,7 @@
           and uses its own version of Apache Ant.
         </p>
         <p>
-          Java 1.4 (or newer) is required. If you are only going to use Forrest
+          Java 1.5 (or newer) is required. If you are only going to use Forrest
           as-is then you need only the Java Runtime Environment (JRE). If you
           intend to enhance and rebuild Forrest (or use the Forrest sources with
           Subversion or use a source snapshot) then you need the full JDK.
@@ -1024,7 +1024,7 @@ X [0]         /docs_0_80/upgrading_08.ht
         server using ':0.0' as the value of the DISPLAY variable. </question>
       <answer>
         <p>
-          If you are using JDK 1.4.0 or newer, you can enable <em>headless</em>
+          If you are using JDK 1.5 or newer, you can enable <em>headless</em>
           operation by running Forrest with the <code>forrest.jvmarg</code>
           parameter set to <code>-Djava.awt.headless=true</code>, like this:
         </p>

Modified: forrest/trunk/site-author/status.xml
URL: http://svn.apache.org/viewvc/forrest/trunk/site-author/status.xml?rev=922683&r1=922682&r2=922683&view=diff
==============================================================================
--- forrest/trunk/site-author/status.xml (original)
+++ forrest/trunk/site-author/status.xml Sat Mar 13 22:50:53 2010
@@ -88,10 +88,10 @@
         <section>
           <title>Requirements</title>
           <p>
-            A Java Runtime Environment (1.4 or higher) installed.
+            A Java Runtime Environment (1.5 or higher) installed.
           </p>
           <p>
-            To build from source requires a Java Development Kit (1.4 or higher)
+            To build from source requires a Java Development Kit (1.5 or higher)
           </p>
           <p>
             Apache Ant is not required: Forrest uses its own version of Ant in
@@ -153,6 +153,10 @@
         Added document to facilitate
         <link href="site:upgrading_09">upgrading to v0.9</link>
       </action>
+<!-- 2010-03 -->
+      <action context="build" type="update" dev="GM" importance="high">
+        Forrest minimum Java version is now 1.5
+      </action>
 <!-- 2009-12 -->
       <action context="code" type="update" dev="DC" fixes-bug="FOR-1186">
         Improved SVG template for generating "project name" image.



Mime
View raw message